Last Comment Bug 889752 - Permanent Orange: TEST-UNEXPECTED-FAIL | test-recent-menu.js | test_move_message, test_delete_message, test_archive_message
: Permanent Orange: TEST-UNEXPECTED-FAIL | test-recent-menu.js | test_move_mess...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Thunderbird 26.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks: 871266 876347
  Show dependency treegraph
 
Reported: 2013-07-03 00:52 PDT by Mark Banner (:standard8) (afk until 26th July)
Modified: 2016-01-10 11:32 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
WIP patch (10.89 KB, patch)
2013-07-03 14:18 PDT, :aceman
no flags Details | Diff | Splinter Review
patch v2 - keep menus open (9.10 KB, patch)
2013-07-04 11:45 PDT, :aceman
mconley: review+
Details | Diff | Splinter Review
patch - focus menus (2.07 KB, patch)
2013-07-04 12:23 PDT, :aceman
mconley: feedback+
mkmelin+mozilla: feedback+
Details | Diff | Splinter Review
focus log (11.97 KB, text/x-log)
2013-07-16 12:11 PDT, :aceman
no flags Details
Possible fix (1.50 KB, patch)
2013-07-17 00:54 PDT, Hiroyuki Ikezoe (:hiro)
no flags Details | Diff | Splinter Review
[checked in] patch - keep menus open v3 (9.53 KB, patch)
2013-07-23 12:27 PDT, :aceman
acelists: review+
Details | Diff | Splinter Review
[checked in] patch - focus menus v2 (2.45 KB, patch)
2013-07-26 12:49 PDT, :aceman
standard8: review+
Details | Diff | Splinter Review
Avoid another suspicion (1.15 KB, patch)
2013-08-01 22:00 PDT, Hiroyuki Ikezoe (:hiro)
standard8: review+
acelists: feedback+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) (afk until 26th July) 2013-07-03 00:52:40 PDT
Regression from bug 876347:

Test Failure: a != b: '' != 'true'.
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message

(I suspect the other messages may be follow-on).
Comment 1 :aceman 2013-07-03 02:00:19 PDT
Note that there is a patch in bug 876347 to address this failure on other platforms. But it was not enough for Linux.
Comment 2 :aceman 2013-07-03 14:18:11 PDT
Created attachment 771018 [details] [diff] [review]
WIP patch

Aryx, could I have a try run with this patch, mozmill only? Thanks
Comment 3 Sebastian H. [:aryx][:archaeopteryx] 2013-07-03 14:39:57 PDT
Pushed to Thunderbird-Try: https://tbpl.mozilla.org/?tree=Thunderbird-Try&showall=1&rev=9416b0f056f4
Comment 4 :aceman 2013-07-03 23:37:25 PDT
Great, what gets the test to reliably pass locally does nothing for the try server :(
Comment 5 :aceman 2013-07-04 11:45:30 PDT
Created attachment 771450 [details] [diff] [review]
patch v2 - keep menus open

While the patch does not seem to fix the problem, I'd still like to get some of the changes reviewed. Conceptually I do not like that we open and close the menu and only then look at its (generated) elements. I think that is not safe universally. Is there a guarantee that after closing of a menu the elements are still there? I am not sure. So I'd like to keep the menu open while we inspect its elements and close it after that. This patch allows that, while not changing the current behaviour for tests that do not want that. But I think there are more tests that would like this feature.
Comment 6 :aceman 2013-07-04 12:23:37 PDT
Created attachment 771456 [details] [diff] [review]
patch - focus menus

This patch makes the test pass on my machine locally. I don't know why it does not help on try servers. It explicitly focuses the menuitems being clicked on. Is this good for anything? (To be applied on top of the first patch.)
Comment 7 Treeherder Robot 2013-07-09 08:57:03 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25070490&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-09 07:56:56
revision: b2a4c19e5f04
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 8 Hiroyuki Ikezoe (:hiro) 2013-07-09 23:35:49 PDT
Though this failure is permanent on build servers but I can not reproduce this failure on local.

aceman, cloud you please take a log with "NSPR_LOG_MODULES=Focus:5,WidgetFocus:5" on failure case if you can reproduce this failure? The log will be very helpful to solve the failure.
Comment 9 Treeherder Robot 2013-07-11 02:23:41 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25161977&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-11 01:54:43
revision: 85ab07b6ae9a
slave: talos-r3-fed-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 10 Treeherder Robot 2013-07-11 02:41:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25162094&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-11 01:40:56
revision: 85ab07b6ae9a
slave: talos-r3-fed-028

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 11 Treeherder Robot 2013-07-11 06:04:59 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25169473&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-11 05:32:35
revision: 1915f5d868db
slave: talos-r3-fed64-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 12 Treeherder Robot 2013-07-11 06:17:17 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25169832&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-11 05:29:49
revision: 1915f5d868db
slave: talos-r3-fed-012

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 13 Treeherder Robot 2013-07-11 06:36:17 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25170054&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 05:29:57
revision: 1915f5d868db
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 14 Treeherder Robot 2013-07-11 06:37:55 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25167477&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-11 04:39:45
revision: 85ab07b6ae9a
slave: talos-r3-fed64-069

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 15 Treeherder Robot 2013-07-11 08:02:11 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25171560&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-11 07:29:43
revision: 65c5bfb05484
slave: talos-r3-fed-072

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 16 Treeherder Robot 2013-07-11 08:02:19 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25171522&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-11 07:27:56
revision: 65c5bfb05484
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 17 Treeherder Robot 2013-07-11 08:38:12 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25172395&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 07:37:52
revision: 65c5bfb05484
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 18 Treeherder Robot 2013-07-11 08:42:07 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25172554&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-11 07:52:54
revision: 65c5bfb05484
slave: talos-r3-fed-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 19 Treeherder Robot 2013-07-11 11:09:53 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25175439&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-11 09:21:51
revision: 49c485a0247c
slave: talos-r3-fed64-052

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_multiple_and_cancel
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 20 Treeherder Robot 2013-07-11 11:23:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25179831&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 10:26:02
revision: 49c485a0247c
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_multiple_and_cancel
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 21 Treeherder Robot 2013-07-11 13:12:24 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25184736&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-11 12:23:06
revision: b5b2cd16c19f
slave: talos-r3-fed-077

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 22 Treeherder Robot 2013-07-11 13:25:14 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25185149&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-11 12:51:02
revision: b5b2cd16c19f
slave: talos-r3-fed64-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 23 Treeherder Robot 2013-07-11 13:35:05 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25185700&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-11 13:03:23
revision: b5b2cd16c19f
slave: talos-r3-fed-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 24 Treeherder Robot 2013-07-11 13:35:08 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25185700&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-11 13:03:23
revision: b5b2cd16c19f
slave: talos-r3-fed-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 25 Treeherder Robot 2013-07-11 13:53:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25186447&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 12:53:53
revision: b5b2cd16c19f
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 26 Treeherder Robot 2013-07-11 13:54:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25186447&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 12:53:53
revision: b5b2cd16c19f
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 27 Treeherder Robot 2013-07-11 18:41:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25189966&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-11 14:51:44
revision: d91cc1d91c8b
slave: talos-r3-fed-012

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 28 Treeherder Robot 2013-07-12 03:32:46 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25211649&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-12 01:50:43
revision: 1474fbd5ab3d
slave: talos-r3-fed-085

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 29 Treeherder Robot 2013-07-12 03:37:34 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25212690&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-12 02:03:55
revision: 1474fbd5ab3d
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 30 Treeherder Robot 2013-07-12 03:37:43 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25212438&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-12 02:01:47
revision: 1474fbd5ab3d
slave: talos-r3-fed-038

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 31 Treeherder Robot 2013-07-12 06:15:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25216135&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-12 05:12:43
revision: 8d3cee8ca7c3
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 32 Treeherder Robot 2013-07-12 06:16:41 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25215232&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-12 04:36:43
revision: 1474fbd5ab3d
slave: talos-r3-fed-093

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 33 Treeherder Robot 2013-07-12 06:17:07 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25215202&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-12 04:36:49
revision: 1474fbd5ab3d
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 34 Treeherder Robot 2013-07-12 06:30:25 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25216723&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-12 05:27:54
revision: 8d3cee8ca7c3
slave: talos-r3-fed-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 35 Treeherder Robot 2013-07-12 06:30:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25216814&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-12 05:21:00
revision: 8d3cee8ca7c3
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 36 Treeherder Robot 2013-07-16 01:56:28 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25306715&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-15 17:04:44
revision: 4b7b69bac9f2
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 37 Treeherder Robot 2013-07-16 06:04:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25323626&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-16 05:06:25
revision: 4b7b69bac9f2
slave: talos-r3-fed-099

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 38 Treeherder Robot 2013-07-16 07:33:14 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25326213&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-16 07:03:28
revision: b0a0d184737c
slave: talos-r3-fed-086

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 39 Treeherder Robot 2013-07-16 07:33:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25326019&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-16 06:59:23
revision: b0a0d184737c
slave: talos-r3-fed64-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 40 Treeherder Robot 2013-07-16 07:57:19 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25327190&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-16 07:08:27
revision: b0a0d184737c
slave: talos-r3-fed-102

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 41 Treeherder Robot 2013-07-16 08:12:32 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25327759&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-16 07:08:26
revision: b0a0d184737c
slave: talos-r3-fed64-043

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 42 Treeherder Robot 2013-07-16 10:55:41 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25335349&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-16 10:18:51
revision: 7847008544a1
slave: talos-r3-fed-082

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 43 Treeherder Robot 2013-07-16 11:08:53 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25336096&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-16 10:32:04
revision: 7847008544a1
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 44 Treeherder Robot 2013-07-16 11:37:31 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25337105&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-16 10:34:38
revision: 7847008544a1
slave: talos-r3-fed-014

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 45 Treeherder Robot 2013-07-16 11:37:35 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25337508&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-16 10:35:42
revision: 7847008544a1
slave: talos-r3-fed64-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 46 :aceman 2013-07-16 12:11:42 PDT
Created attachment 776595 [details]
focus log

This is the log you requested with a clean tree. The test fails like this:

SUMMARY-UNEXPECTED-FAIL | test-recent-menu.js | test-recent-menu.js::test_move_message
  EXCEPTION: Popup never opened at action depth 0; id=mailContext-fileHereMenu, state=showing
    at: utils.js line 447
       TimeoutError utils.js 447
       waitFor utils.js 485
       _click_menus test-window-helpers.js 1004
       test_move_message test-recent-menu.js 40
       Runner.prototype.wrapper frame.js 585
       Runner.prototype._runTestModule frame.js 655
       Runner.prototype.runTestModule frame.js 701
       Runner.prototype.runTestFile frame.js 534
       runTestFile frame.js 713
       Bridge.prototype._execFunction server.js 179
       Bridge.prototype.execFunction server.js 183
SUMMARY-UNEXPECTED-FAIL | test-recent-menu.js | test-recent-menu.js::test_delete_message
  EXCEPTION: Popup never opened! id=mailContext, state=showing
    at: utils.js line 447
       TimeoutError utils.js 447
       waitFor utils.js 485
       _click_menus test-window-helpers.js 965
       test_delete_message test-recent-menu.js 83
       Runner.prototype.wrapper frame.js 585
       Runner.prototype._runTestModule frame.js 655
       Runner.prototype.runTestModule frame.js 701
       Runner.prototype.runTestFile frame.js 534
       runTestFile frame.js 713
       Bridge.prototype._execFunction server.js 179
       Bridge.prototype.execFunction server.js 183
SUMMARY-UNEXPECTED-FAIL | test-recent-menu.js | test-recent-menu.js::test_archive_message
  EXCEPTION: Popup never opened! id=mailContext, state=showing
    at: utils.js line 447
       TimeoutError utils.js 447
       waitFor utils.js 485
       _click_menus test-window-helpers.js 965
       test_archive_message test-recent-menu.js 97
       Runner.prototype.wrapper frame.js 585
       Runner.prototype._runTestModule frame.js 655
       Runner.prototype.runTestModule frame.js 701
       Runner.prototype.runTestFile frame.js 534
       runTestFile frame.js 713
       Bridge.prototype._execFunction server.js 179
       Bridge.prototype.execFunction server.js 183
SUMMARY-PASS | test-recent-menu.js::teardownModule
make: *** [mozmill-one] Error 1
Comment 47 Treeherder Robot 2013-07-16 12:27:31 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25339183&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-16 11:54:25
revision: 9cf4459806ca
slave: talos-r3-fed64-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 48 Treeherder Robot 2013-07-16 13:08:06 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25341140&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-16 12:19:32
revision: 9cf4459806ca
slave: talos-r3-fed-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 49 Treeherder Robot 2013-07-16 13:18:21 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25341502&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-16 12:16:31
revision: 9cf4459806ca
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 50 Treeherder Robot 2013-07-16 14:02:17 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25343720&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-16 13:31:03
revision: f5f4d4b6a815
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 51 Treeherder Robot 2013-07-16 14:26:12 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25344861&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-16 13:48:39
revision: f5f4d4b6a815
slave: talos-r3-fed-085

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 52 Treeherder Robot 2013-07-16 14:45:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25345920&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-16 13:47:08
revision: f5f4d4b6a815
slave: talos-r3-fed-077

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 53 Hiroyuki Ikezoe (:hiro) 2013-07-16 19:53:25 PDT
aceman, thanks for the log. But this log is slightly different what I was expecting...
What I was expecting a log that including mozmill's log like this:

TEST-PASS | /home/zoe/hg/comm-central/mail/test/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::setupModule
TEST-START | /home/zoe/hg/comm-central/mail/test/mozmill/folder-display/test-recent-menu.js | test_move_message
1354350464[19544b0]: Window 2a020a0 Hidden [Currently: 2769010 2769010]
1354350464[19544b0]:   Hide Window: chrome://messenger/content/msgAccountCentral.xul
1354350464[19544b0]:   Focused Window: chrome://messenger/content/messenger.xul
1354350464[19544b0]:   Active Window: chrome://messenger/content/messenger.xul
1354350464[19544b0]: Window 29e3380 Hidden [Currently: 2769010 2769010]

Anyway what I can tell from the log you post is some focus events did no seem to be handled before starting test_move_message.

From your log:

-1219864832[b722b0c0]: Window b72906b0 Shown [Currently: b2632e30 b2632e30]
-1219864832[b722b0c0]: Shown Window: mailbox:///var/SSD/TB-hg/tbird-bin/mozilla/_tests/mozmill/mozmillprofile/Mail/Local%20Folders/aaafolder1?number=0
-1219864832[b722b0c0]:  Focused Window: chrome://messenger/content/messenger.xul
-1219864832[b722b0c0]: <<SetFocus begin>>
-1219864832[b722b0c0]: <<SetFocus end>>
-1219864832[b722b0c0]: <<SetFocus begin>>
-1219864832[b722b0c0]: <<SetFocus end>>
-1219864832[b722b0c0]: <<SetFocus begin>>
-1219864832[b722b0c0]: <<SetFocus end>>
-1219864832[b722b0c0]: OnContainerFocusOutEvent [af97f7b0]
-1219864832[b722b0c0]: Window b2632e30 Lowered [Currently: b2632e30 b2632e30]
-1219864832[b722b0c0]:   Lowered Window: chrome://messenger/content/messenger.xul
-1219864832[b722b0c0]:   Active Window: chrome://messenger/content/messenger.xul
-1219864832[b722b0c0]: <<Blur begin>>
-1219864832[b722b0c0]: Element tree has been blurred
-1219864832[b722b0c0]: Done with container focus out [af97f7b0]
-1219864832[b722b0c0]: OnContainerFocusInEvent [af97f7b0]
-1219864832[b722b0c0]: Window b2632e30 Raised [Currently: 0 0]
-1219864832[b722b0c0]:   Raised Window: b2632e30 chrome://messenger/content/messenger.xul
-1219864832[b722b0c0]: <<Focus begin>>
-1219864832[b722b0c0]: Element tree has been focused
-1219864832[b722b0c0]:  from window
-1219864832[b722b0c0]:  [Newdoc: 1 FocusChanged: 0 Raised: 1 Flags: 0]
-1219864832[b722b0c0]:   SetFocus 0 [af97f7b0]
-1219864832[b722b0c0]:   widget now has focus in SetFocus() [af97f7b0]
-1219864832[b722b0c0]: Update Caret: 0 1
-1219864832[b722b0c0]: Events sent from focus in event [af97f7b0]
-1219864832[b722b0c0]: Window b72906b0 Hidden [Currently: b2632e30 b2632e30]
-1219864832[b722b0c0]:   Hide Window: mailbox:///var/SSD/TB-hg/tbird-bin/mozilla/_tests/mozmill/mozmillprofile/Mail/Local%20Folders/aaafolder1?number=0
-1219864832[b722b0c0]:   Focused Window: chrome://messenger/content/messenger.xul
-1219864832[b722b0c0]:   Active Window: chrome://messenger/content/messenger.xul

I suppose this is the part of test_move_message. "OnContainerFocusOutEvent" and "OnContainerFocusInEvent" should have been handled before the test. Those events prevents popup menu open.
Comment 54 Hiroyuki Ikezoe (:hiro) 2013-07-16 19:59:00 PDT
aceman, I would like to ask you one more thing. Your log is *timeout* case. I would like to see *Test Failure: a != b: '' != 'true'* case.
Comment 55 :aceman 2013-07-16 23:47:54 PDT
(In reply to Hiroyuki Ikezoe (:hiro) from comment #53)
> aceman, thanks for the log. But this log is slightly different what I was
> expecting...
> What I was expecting a log that including mozmill's log like this:
Sorry, I was redirecting mozmill log to another file. I can produce it if needed.

> Anyway what I can tell from the log you post is some focus events did no >seem to be handled before starting test_move_message.
Maybe that is why my "patch - focus menus" helps me.

(In reply to Hiroyuki Ikezoe (:hiro) from comment #54)
> aceman, I would like to ask you one more thing. Your log is *timeout* case.
> I would like to see *Test Failure: a != b: '' != 'true'* case.

I understand you see that on thunderbird-trunk. But I think I do not get it locally. For me it fails sooner. The menu is not properly opened and it fails there. On Tb-trunk it somehow does not notice the menu was not opened and then fails accessing the menu items. But it is the same menu so the cause may 
be the same.
Comment 56 Hiroyuki Ikezoe (:hiro) 2013-07-17 00:54:53 PDT
Created attachment 776967 [details] [diff] [review]
Possible fix

Somebody please send this patch to try server.
I suppose this patch will solve the failure case of "Test Failure: a != b: '' != 'true'".
Comment 57 :aceman 2013-07-17 01:35:49 PDT
Comment on attachment 776967 [details] [diff] [review]
Possible fix

Aryx, could you please push this to try server, mozmill tests only.
Comment 58 Sebastian H. [:aryx][:archaeopteryx] 2013-07-17 02:45:18 PDT
Pushed to Thunderbird-Try as https://tbpl.mozilla.org/?tree=Thunderbird-Try&showall=1&rev=e9b7510a3bca
Comment 59 Treeherder Robot 2013-07-17 03:52:43 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25369771&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-17 01:31:23
revision: 4b7b69bac9f2
slave: talos-r3-fed64-069

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 60 :aceman 2013-07-17 05:33:42 PDT
There seems to be no change with the patch in the try run.
Comment 61 Treeherder Robot 2013-07-17 05:36:41 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25374467&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-17 04:38:28
revision: f5f4d4b6a815
slave: talos-r3-fed64-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 62 Treeherder Robot 2013-07-17 08:05:21 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25379036&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-17 07:18:12
revision: 0ba38b41f77f
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 63 Treeherder Robot 2013-07-17 08:25:56 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25379811&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-17 07:21:02
revision: 0ba38b41f77f
slave: talos-r3-fed-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
OSError: [Errno 2] No such file or directory
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 64 Treeherder Robot 2013-07-17 08:39:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25380482&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-17 07:49:02
revision: 0ba38b41f77f
slave: talos-r3-fed-074

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
OSError: [Errno 2] No such file or directory
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 65 Treeherder Robot 2013-07-17 08:50:57 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25380659&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-17 08:12:23
revision: 0ba38b41f77f
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 66 Treeherder Robot 2013-07-17 09:14:29 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25381608&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-17 07:49:58
revision: 0ba38b41f77f
slave: talos-r3-fed64-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 67 Treeherder Robot 2013-07-17 10:25:49 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25384311&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-17 09:03:04
revision: 0ba38b41f77f
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 68 Treeherder Robot 2013-07-17 11:08:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25386764&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-17 10:19:41
revision: 3efb0311a21c
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 69 Treeherder Robot 2013-07-17 12:52:16 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25390081&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-17 11:29:59
revision: 3efb0311a21c
slave: talos-r3-fed-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 70 Treeherder Robot 2013-07-17 13:35:36 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25393545&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-17 13:03:58
revision: 0ba38b41f77f
slave: talos-r3-fed-024

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 71 Treeherder Robot 2013-07-17 14:18:14 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25394805&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-17 13:09:04
revision: 0ba38b41f77f
slave: talos-r3-fed-089

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 72 Treeherder Robot 2013-07-17 14:18:36 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25393690&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-17 13:06:22
revision: 0ba38b41f77f
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 73 Hiroyuki Ikezoe (:hiro) 2013-07-17 18:53:43 PDT
My assumption was wrong. I supposed _build method in folderWidgets.xml is not processed at the failure time.

The only other possibility I can imagine is :

the following .noSelect in folderWidgets.xml check does not properly work

 if (this._parentFolder.noSelect)
   menuitem.setAttribute("disabled", "true");

Is this really possible?
Comment 74 Treeherder Robot 2013-07-18 06:43:09 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25429786&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-18 04:54:01
revision: 0ba38b41f77f
slave: talos-r3-fed-095

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 75 Treeherder Robot 2013-07-18 10:12:58 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25439938&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-18 09:25:20
revision: 17f6b3acfc77
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 76 Treeherder Robot 2013-07-18 11:15:36 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25442094&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-18 09:39:01
revision: 17f6b3acfc77
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 77 Treeherder Robot 2013-07-18 18:33:28 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25464774&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-18 17:35:01
revision: d7237cd27263
slave: talos-r3-fed64-065

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 78 Treeherder Robot 2013-07-18 18:33:38 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25463286&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-18 17:27:37
revision: d7237cd27263
slave: talos-r3-fed-011

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 79 Hiroyuki Ikezoe (:hiro) 2013-07-18 19:25:08 PDT
(In reply to Hiroyuki Ikezoe (:hiro) from comment #73)
> The only other possibility I can imagine is :
> 
> the following .noSelect in folderWidgets.xml check does not properly work
> 
>  if (this._parentFolder.noSelect)
>    menuitem.setAttribute("disabled", "true");

I meant
  if (!recentFolders.length)
    menu.setAttribute("disabled", "true");
Comment 80 :aceman 2013-07-18 23:58:05 PDT
Bug 876347 triggered these problems, where the lines you say have been added. But as the failures only happen on Linux, it should be some focus/timing problem again. And in my local tests, the whole menu does not popup even before execution comes to the code you mention.
Comment 81 Treeherder Robot 2013-07-19 10:37:01 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25494584&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-19 09:54:32
revision: baddbdd06d16
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 82 Treeherder Robot 2013-07-19 11:00:31 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25495477&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-19 09:46:00
revision: baddbdd06d16
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 83 Treeherder Robot 2013-07-19 13:58:32 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25501870&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-19 12:46:58
revision: 89bbcd5a2293
slave: talos-r3-fed-095

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 84 Treeherder Robot 2013-07-19 14:06:05 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25504027&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-19 13:18:24
revision: 89bbcd5a2293
slave: talos-r3-fed-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 85 Magnus Melin 2013-07-20 03:30:21 PDT
Comment on attachment 771456 [details] [diff] [review]
patch - focus menus

Review of attachment 771456 [details] [diff] [review]:
-----------------------------------------------------------------

This has bitrotted, but after fixing the bitrot it does seem to help for me!
Comment 86 Mike Conley (:mconley) - (Needinfo me!) 2013-07-21 21:01:32 PDT
Comment on attachment 771456 [details] [diff] [review]
patch - focus menus

Review of attachment 771456 [details] [diff] [review]:
-----------------------------------------------------------------

This is fine, though it won't help if the OS is doing focus-stealing prevention, and something other than TB takes focus.

I recall that being an issue one time - during a test run, some OS dialog would pop up during the test run and take focus. The OS's focus-stealing code prevented TB from taking focus again programmatically (it had to be triggered via a user action). Maybe that's what we're experiencing here - focus-stealing protection.

If so, I wonder if there's a way to turn that off on our tinderbox machines?
Comment 87 Mike Conley (:mconley) - (Needinfo me!) 2013-07-21 21:04:09 PDT
Comment on attachment 771450 [details] [diff] [review]
patch v2 - keep menus open

Review of attachment 771450 [details] [diff] [review]:
-----------------------------------------------------------------

::: mail/test/mozmill/shared-modules/test-window-helpers.js
@@ +919,5 @@
>       *     node has an attribute with that name and value.  We click whatever we
>       *     find.  We throw if we don't find what you were asking for.
> +     * @param aKeepOpen  If set to true the popups are not closed after last click.
> +     *
> +     * @return  An array of popup elements that still were left open.

We should add that this returns an empty array if aKeepOpen is not true.
Comment 88 Treeherder Robot 2013-07-22 05:31:10 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25532455&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-20 05:47:00
revision: 5a8487d34616
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 89 Treeherder Robot 2013-07-22 05:32:43 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25531637&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-20 04:47:04
revision: cacbb07e6d0a
slave: talos-r3-fed64-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 90 Treeherder Robot 2013-07-22 05:33:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25530345&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-20 04:37:00
revision: 89bbcd5a2293
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 91 Treeherder Robot 2013-07-22 08:19:28 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25561595&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-22 06:54:00
revision: 554332581c15
slave: talos-r3-fed64-065

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 92 Treeherder Robot 2013-07-22 12:01:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25565286&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-22 08:26:58
revision: 554332581c15
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 93 Treeherder Robot 2013-07-22 14:55:32 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25577036&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-22 13:53:01
revision: 554332581c15
slave: talos-r3-fed64-054

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 94 Treeherder Robot 2013-07-22 19:34:39 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25584781&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-22 17:15:56
revision: fe5478fe82c1
slave: talos-r3-fed64-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 95 Treeherder Robot 2013-07-23 04:00:23 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25601957&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-23 03:00:27
revision: ce02c28ecbc7
slave: talos-r3-fed-089

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 96 Treeherder Robot 2013-07-23 04:00:36 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25601588&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-23 02:50:11
revision: ce02c28ecbc7
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 97 Treeherder Robot 2013-07-23 04:42:36 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25603067&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-23 03:10:05
revision: ce02c28ecbc7
slave: talos-r3-fed-101

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 98 Treeherder Robot 2013-07-23 04:42:44 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25603252&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-23 03:02:00
revision: ce02c28ecbc7
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 99 Treeherder Robot 2013-07-23 05:50:59 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25606649&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-23 05:10:14
revision: 22a2433d1c66
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 100 Treeherder Robot 2013-07-23 05:51:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25605641&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-23 04:32:08
revision: fe5478fe82c1
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 101 Treeherder Robot 2013-07-23 06:09:20 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25607033&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-23 05:15:03
revision: 22a2433d1c66
slave: talos-r3-fed-038

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 102 Treeherder Robot 2013-07-23 06:18:32 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25607207&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-23 05:18:57
revision: 22a2433d1c66
slave: talos-r3-fed64-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 103 Treeherder Robot 2013-07-23 06:36:03 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25607279&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora opt test mozmill on 2013-07-23 05:53:24
revision: 512db0e46549
slave: talos-r3-fed-027

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 104 Treeherder Robot 2013-07-23 09:00:20 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25612216&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora opt test mozmill on 2013-07-23 08:23:07
revision: 72f71f835916
slave: talos-r3-fed64-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 105 Treeherder Robot 2013-07-23 09:00:28 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25612011&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora opt test mozmill on 2013-07-23 08:18:47
revision: 72f71f835916
slave: talos-r3-fed-067

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 106 Treeherder Robot 2013-07-23 09:15:51 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25608560&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test mozmill on 2013-07-23 06:14:15
revision: 512db0e46549
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 107 Treeherder Robot 2013-07-23 10:01:34 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25613483&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test mozmill on 2013-07-23 08:29:56
revision: 72f71f835916
slave: talos-r3-fed-077

Assertion failure: 0 == rv, at ../../../../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:279
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 108 Treeherder Robot 2013-07-23 10:01:40 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25614039&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test mozmill on 2013-07-23 08:33:43
revision: 72f71f835916
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 109 Treeherder Robot 2013-07-23 10:01:57 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25613935&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-23 08:58:01
revision: fc759fc258a3
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 110 Treeherder Robot 2013-07-23 10:24:50 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25615016&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-23 09:20:01
revision: 453c0293dce1
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 111 :aceman 2013-07-23 12:27:39 PDT
Created attachment 779950 [details] [diff] [review]
[checked in] patch - keep menus open v3
Comment 112 :aceman 2013-07-23 12:29:46 PDT
Comment on attachment 776967 [details] [diff] [review]
Possible fix

Looks like this didn't work.
Comment 113 Mark Banner (:standard8) (afk until 26th July) 2013-07-23 14:04:16 PDT
Comment on attachment 779950 [details] [diff] [review]
[checked in] patch - keep menus open v3

https://hg.mozilla.org/comm-central/rev/6b2de324d78f
Comment 114 Mark Banner (:standard8) (afk until 26th July) 2013-07-23 14:04:55 PDT
Comment on attachment 771456 [details] [diff] [review]
patch - focus menus

I'm guessing this one is obsolete.
Comment 115 :aceman 2013-07-23 14:18:49 PDT
Comment on attachment 771456 [details] [diff] [review]
patch - focus menus

It is not obsolete it just does work 100%. It worked for me and mkmelin, but not on the try server. So either I scrape it or refine it.
Comment 116 Treeherder Robot 2013-07-23 15:06:58 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25628771&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora opt test mozmill on 2013-07-23 14:37:01
revision: 9b01cd6a5522
slave: talos-r3-fed-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 117 Treeherder Robot 2013-07-23 23:27:20 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25634753&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test mozmill on 2013-07-23 15:59:10
revision: 9b01cd6a5522
slave: talos-r3-fed64-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 118 Treeherder Robot 2013-07-24 01:26:38 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651506&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-24 00:42:00
revision: 9e5b10914063
slave: talos-r3-fed-082

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 119 Treeherder Robot 2013-07-24 02:30:40 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25653435&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-24 01:22:01
revision: 9e5b10914063
slave: talos-r3-fed64-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 120 Treeherder Robot 2013-07-24 02:30:48 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651570&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-24 01:00:04
revision: 9e5b10914063
slave: talos-r3-fed64-068

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 121 Treeherder Robot 2013-07-24 02:30:56 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651574&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-24 01:00:58
revision: 9e5b10914063
slave: talos-r3-fed-098

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 122 Treeherder Robot 2013-07-24 05:06:42 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25659134&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-24 04:35:06
revision: 9e5b10914063
slave: talos-r3-fed64-054

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 123 Treeherder Robot 2013-07-24 05:39:47 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25660200&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-24 05:03:57
revision: 9e5b10914063
slave: talos-r3-fed-015

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 124 Treeherder Robot 2013-07-24 05:40:37 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25653314&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-24 01:14:00
revision: dec0ccb9b636
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 125 Treeherder Robot 2013-07-24 07:41:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25664625&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-24 07:07:18
revision: 9e5b10914063
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 126 Treeherder Robot 2013-07-24 07:59:14 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25665485&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-24 07:25:01
revision: 9e5b10914063
slave: talos-r3-fed-011

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 127 Treeherder Robot 2013-07-24 08:25:12 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25666763&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-07-24 07:36:00
revision: 9e5b10914063
slave: talos-r3-fed-013

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 128 Treeherder Robot 2013-07-24 08:35:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25666945&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-24 07:32:03
revision: 9e5b10914063
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 129 Treeherder Robot 2013-07-25 06:01:06 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25711443&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-25 04:27:56
revision: 9e5b10914063
slave: talos-r3-fed-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 130 Treeherder Robot 2013-07-25 06:01:15 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25711584&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-07-25 04:32:00
revision: 9e5b10914063
slave: talos-r3-fed64-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 131 :aceman 2013-07-26 12:49:07 PDT
Created attachment 781877 [details] [diff] [review]
[checked in] patch - focus menus v2

This still seems to help me (and Magnus) locally and it didn't seem to cause any problems on TB-try so it may be worth to include.
To be applied on top of bug 871266.
Comment 132 Mark Banner (:standard8) (afk until 26th July) 2013-08-01 06:39:07 PDT
Comment on attachment 781877 [details] [diff] [review]
[checked in] patch - focus menus v2

Review of attachment 781877 [details] [diff] [review]:
-----------------------------------------------------------------

Ok, lets go for it. r=Standard8
Comment 133 Mark Banner (:standard8) (afk until 26th July) 2013-08-01 07:48:40 PDT
Comment on attachment 781877 [details] [diff] [review]
[checked in] patch - focus menus v2

https://hg.mozilla.org/comm-central/rev/9b3eb173c798
Comment 134 Hiroyuki Ikezoe (:hiro) 2013-08-01 22:00:13 PDT
Created attachment 784804 [details] [diff] [review]
Avoid another suspicion

I am now suspecting some other tests updated MRMTime property.
This patch resets MRMTime before running test-recent-menu.js.

Someone please push this patch to try server.
Thank you.
Comment 135 :aceman 2013-08-02 00:22:16 PDT
Comment on attachment 784804 [details] [diff] [review]
Avoid another suspicion

But the patch
https://bug876347.bugzilla.mozilla.org/attachment.cgi?id=765535 did not change the logic of the number of recent menu items so if this would be a problem, it should have cropped up even before my change. But your change seems sound anyway.
Comment 136 :aceman 2013-08-02 00:23:33 PDT
Aryx, we'd need a trybuild with the patch from comment 134. All systems but Mozmill only. Thanks.
Comment 137 Mark Banner (:standard8) (afk until 26th July) 2013-08-02 00:37:09 PDT
Opps, forgot to comment:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=2a1b8350ea9a
Comment 138 Mark Banner (:standard8) (afk until 26th July) 2013-08-02 02:48:02 PDT
Looking good so far for Linux 32 Mozmill. I've just triggered some respins of just the mozmill tests for that.

Linux 64 failed due to tree bustage, that should be fixed now, so I pushed afresh for that:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=64b81cec5d12
Comment 139 Hiroyuki Ikezoe (:hiro) 2013-08-02 03:10:49 PDT
Yo ho! Thanks Mark! test-recent-menu.js passed on all respins now!
Comment 140 Mark Banner (:standard8) (afk until 26th July) 2013-08-02 05:54:57 PDT
Comment on attachment 784804 [details] [diff] [review]
Avoid another suspicion

Linux 64 has passed with flying green as well :-)

Therefore I'm going to say r+ to this and get it landed. The only thing I'd say, is that it would be nice to have a comment in the file as to why we're doing this (just like the check-in comment, but quicker to find) - but I'll do that on checkin.
Comment 141 Mark Banner (:standard8) (afk until 26th July) 2013-08-02 05:58:20 PDT
https://hg.mozilla.org/comm-central/rev/259c50bae39e

Thanks to both aceman & Hiro for working on the fix to this.
Comment 142 Hiroyuki Ikezoe (:hiro) 2013-08-02 16:58:49 PDT
Yay! We did it!

Note You need to log in before you can comment on or make changes to this bug.